.add-button.editor {
    @apply block;
    @apply bottom-0 right-0;
    @apply mr-10 mb-10;
    @apply z-20;

    .buttons {
        @apply fixed;
        @apply bottom-0 right-0;
        @apply mr-10 mb-10;
        @apply z-20;

        span {
            @apply flex justify-center items-center;
            @apply rounded-full shadow-md;
            @apply transition-all duration-200 ease-in-out;

            &:hover {
                @apply shadow-lg;
                @apply transform scale-110;
            }
        }

        .open {
            @apply h-16 w-16;
            @apply bg-brand-red text-brand-white;
        }

        .close {
            @apply h-10 w-10;
            @apply bg-brand-green text-brand-white;
        }

        button {
            &:focus {
                @apply outline-none;
            }
        }

    }

    .overlay {
        @apply fixed hidden;
        @apply top-0 left-0;
        @apply w-full h-full;
        @apply bg-brand-black;
        @apply opacity-0;
        @apply z-0;
    }

    .actions {
        @apply fixed;
        @apply bottom-0 right-0;
        @apply mr-10 mb-24;
        @apply z-20;
        @apply flex flex-col items-end;

        .action {
            @apply my-4;
            @apply outline-none;
            @apply flex items-center;
            @apply opacity-0;
            transform: translateY(300px);

            .title {
                @apply text-2xl font-display;
                @apply bg-brand-white text-brand-black;
                @apply p-3;
                @apply rounded;
                @apply mr-4;

                &:hover {
                    @apply text-brand-green;
                }
            }

            .icon {
                @apply h-16 w-16;
                @apply bg-brand-red text-brand-white;
                @apply flex justify-center items-center;
                @apply rounded-full shadow-md;
                @apply transition-transform duration-200 ease-in-out;

                &:hover {
                    @apply bg-brand-green;
                    @apply transform scale-110;
                }
            }
        }
    }

    &.open {
        .overlay {
            @apply block;
        }
    }
}



@screen lg {
    .add-button.editor {

        .buttons,
        .actions {
            @apply mr-48;
        }

    }
}